#pragma GCC optimize("O3")

#include <iostream>
#include <vector>

using namespace std;

using ll = long long;

int n, c;
vector<vector<ll>> dp;

const ll MOD = 998244353;

ll solve(int pos, int last) {
	if (n == pos) {
		return 1;
	}
	if (dp[pos][last]) {
		return dp[pos][last];
	}
	ll res = 0;
	for (int j = 1; j <= c; ++j) {
		if (j % last == 0) {
			res += solve(pos + 1, j);
		}
	}
	return dp[pos][last] = res % MOD;
}

int main() {
	cin >> n >> c;
	dp.resize(n, vector<ll>(c + 1));
	cout << solve(0, 1);
	return 0;
}
